org.eclipse.graphiti.internal.services.impl

## Class CreateServiceImpl

- java.lang.Object
- - org.eclipse.graphiti.internal.services.impl.CreateServiceImpl

All Implemented Interfaces:
  ICreateService, IGaCreateService, IPeCreateService

    public final class CreateServiceImpl
    extends java.lang.Object
    implements ICreateService

### Constructor Summary

Constructors
Constructor and Description
`CreateServiceImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BoxRelativeAnchor` `createBoxRelativeAnchor(AnchorContainer anchorContainer)` Creates a box relative anchor inside the given anchor container.
`ChopboxAnchor` `createChopboxAnchor(AnchorContainer anchorContainer)` Creates a chop box anchor inside the given anchor container.
`CompositeConnection` `createCompositeConnection(Diagram diagram)` Creates a composite connection (a connection that is made of several other connections) inside the given diagram.
`ConnectionDecorator` `createConnectionDecorator(Connection connection, boolean active, double location, boolean isRelative)` Creates a connection decorator and adds it to the given connection.
`ContainerShape` `createContainerShape(ContainerShape parentContainerShape, boolean active)` Creates a container shape inside the given parent container shape.
`CurvedConnection` `createCurvedConnection(double[] controllPoints, Diagram diagram)` Creates a curved connection (Bezier curve) inside the given diagram.
`MultiText` `createDefaultMultiText(Diagram diagram, GraphicsAlgorithmContainer gaContainer)` Creates a `MultiText` graphics algorithm with the default font (Arial, size 8).
`MultiText` `createDefaultMultiText(Diagram diagram, GraphicsAlgorithmContainer gaContainer, java.lang.String value)` Creates a `MultiText` graphics algorithm with the default font (Arial, size 8) and the given text.
`Text` `createDefaultText(Diagram diagram, GraphicsAlgorithmContainer gaContainer)` Creates a `Text` graphics algorithm with the default font (Arial, size 8).
`Text` `createDefaultText(Diagram diagram, GraphicsAlgorithmContainer gaContainer, java.lang.String value)` Creates a `Text` graphics algorithm with the default font (Arial, size 8) and the given text.
`Diagram` `createDiagram(java.lang.String diagramTypeId, java.lang.String diagramName)` Creates a diagram.
`Diagram` `createDiagram(java.lang.String diagramTypeId, java.lang.String diagramName, boolean snap)` Creates a diagram.
`Diagram` `createDiagram(java.lang.String diagramTypeId, java.lang.String diagramName, int gridUnit, boolean snap)` Creates a diagram.
`Diagram` `createDiagram(java.lang.String diagramTypeId, java.lang.String diagramName, int horizontalGridUnit, int verticalGridUint, boolean snap)` Creates a diagram.
`Ellipse` `createEllipse(GraphicsAlgorithmContainer gaContainer)` Creates an `Ellipse` graphics algorithm.
`FixPointAnchor` `createFixPointAnchor(AnchorContainer anchorContainer)` Creates a fix point anchor inside the given anchor container.
`FreeFormConnection` `createFreeFormConnection(Diagram diagram)` Creates a free form connection inside the given diagram.
`Image` `createImage(GraphicsAlgorithmContainer gaContainer, java.lang.String imageId)` Creates a `Image` graphics algorithm with the given image id.
`Rectangle` `createInvisibleRectangle(PictogramElement pe)` Create an invisible `Rectangle`.
`ManhattanConnection` `createManhattanConnection(Diagram diagram)` Creates a manhattan connection inside the given diagram.
`MultiText` `createMultiText(Diagram diagram, GraphicsAlgorithmContainer gaContainer, java.lang.String value, java.lang.String fontName, int fontSize)` Creates a `MultiText` graphics algorithm with the given text and font.
`MultiText` `createMultiText(Diagram diagram, GraphicsAlgorithmContainer gaContainer, java.lang.String value, java.lang.String fontName, int fontSize, boolean isFontItalic, boolean isFontBold)` Creates a `MultiText` graphics algorithm with the given text and font.
`MultiText` `createMultiText(GraphicsAlgorithmContainer gaContainer)` Creates a `MultiText` graphics algorithm.
`MultiText` `createMultiText(GraphicsAlgorithmContainer gaContainer, java.lang.String value)` Creates a `MultiText` graphics algorithm with the given text.
`Ellipse` `createPlainEllipse(GraphicsAlgorithmContainer gaContainer)` Creates a plain `Ellipse` graphics algorithm.
`Image` `createPlainImage(GraphicsAlgorithmContainer gaContainer, java.lang.String imageId)` Creates a plain `Image` graphics algorithm with the given image id.
`MultiText` `createPlainMultiText(GraphicsAlgorithmContainer gaContainer)` Creates a plain `MultiText` graphics algorithm.
`MultiText` `createPlainMultiText(GraphicsAlgorithmContainer gaContainer, java.lang.String value)` Creates a plain `MultiText` graphics algorithm with the given text.
`PlatformGraphicsAlgorithm` `createPlainPlatformGraphicsAlgorithm(GraphicsAlgorithmContainer gaContainer, java.lang.String id)` Creates the plain `PlatformGraphicsAlgorithm`.
`Polygon` `createPlainPolygon(GraphicsAlgorithmContainer gaContainer)` Creates a plain `Polygon` graphics algorithm.
`Polygon` `createPlainPolygon(GraphicsAlgorithmContainer gaContainer, java.util.Collection<Point> points)` Creates a plain `Polygon` graphics algorithm with the given points.
`Polygon` `createPlainPolygon(GraphicsAlgorithmContainer gaContainer, int[] xy)` Creates a plain `Polygon` graphics algorithm with the given points.
`Polygon` `createPlainPolygon(GraphicsAlgorithmContainer gaContainer, int[] xy, int[] beforeAfter)` Creates a plain `Polygon` graphics algorithm with the given points.
`Polyline` `createPlainPolyline(GraphicsAlgorithmContainer gaContainer)` Creates a plain `Polyline` graphics algorithm.
`Polyline` `createPlainPolyline(GraphicsAlgorithmContainer gaContainer, java.util.Collection<Point> points)` Creates a plain `Polyline` graphics algorithm with the given points.
`Polyline` `createPlainPolyline(GraphicsAlgorithmContainer gaContainer, int[] xy)` Creates a plain polyline graphics algorithm with the given points.
`Polyline` `createPlainPolyline(GraphicsAlgorithmContainer gaContainer, int[] xy, int[] beforeAfter)` Creates a plain `Polyline` graphics algorithm with the given points.
`Rectangle` `createPlainRectangle(GraphicsAlgorithmContainer gaContainer)` Creates a plain `Rectangle` graphics algorithm.
`RoundedRectangle` `createPlainRoundedRectangle(GraphicsAlgorithmContainer gaContainer, int cornerWidth, int cornerHeight)` Creates a plain `RoundedRectangle` graphics algorithm with the given corner dimensions.
`Style` `createPlainStyle(StyleContainer styleContainer, java.lang.String id)` Creates a `Style` with the given id.
`Text` `createPlainText(GraphicsAlgorithmContainer gaContainer)` Creates a plain `Text` graphics algorithm with empty text.
`Text` `createPlainText(GraphicsAlgorithmContainer gaContainer, java.lang.String value)` Creates a plain `Text` graphics algorithm with the given text.
`PlatformGraphicsAlgorithm` `createPlatformGraphicsAlgorithm(GraphicsAlgorithmContainer gaContainer, java.lang.String id)` Creates the `PlatformGraphicsAlgorithm`.
`Point` `createPoint(int x, int y)` Creates a `Point` datatype for the given x/y coordinates.
`Point` `createPoint(int x, int y, int before, int after)` Creates a `Point` datatype for the given x/y coordinates.
`java.util.List<Point>` `createPointList(int[] xy)` Creates a list of `Point` datatypes for the given x/y coordinates.
`java.util.List<Point>` `createPointList(int[] xy, int[] beforeAfter)` Creates a list of `Point` datatypes for the given x/y coordinates.
`Polygon` `createPolygon(GraphicsAlgorithmContainer gaContainer)` Creates a `Polygon` graphics algorithm.
`Polygon` `createPolygon(GraphicsAlgorithmContainer gaContainer, java.util.Collection<Point> points)` Creates a `Polygon` graphics algorithm with the given points.
`Polygon` `createPolygon(GraphicsAlgorithmContainer gaContainer, int[] xy)` Creates a `Polygon` graphics algorithm with the given points.
`Polygon` `createPolygon(GraphicsAlgorithmContainer gaContainer, int[] xy, int[] beforeAfter)` Creates a `Polygon` graphics algorithm with the given points.
`Polyline` `createPolyline(GraphicsAlgorithmContainer gaContainer)` Creates a `Polyline` graphics algorithm.
`Polyline` `createPolyline(GraphicsAlgorithmContainer gaContainer, java.util.Collection<Point> points)` Creates a `Polyline` graphics algorithm with the given points.
`Polyline` `createPolyline(GraphicsAlgorithmContainer gaContainer, int[] xy)` Creates a `Polyline` graphics algorithm with the given points.
`Polyline` `createPolyline(GraphicsAlgorithmContainer gaContainer, int[] xy, int[] beforeAfter)` Creates a `Polyline` graphics algorithm with the given points.
`Rectangle` `createRectangle(GraphicsAlgorithmContainer gaContainer)` Creates a `Rectangle` graphics algorithm.
`RoundedRectangle` `createRoundedRectangle(GraphicsAlgorithmContainer gaContainer, int cornerWidth, int cornerHeight)` Creates a `RoundedRectangle` graphics algorithm with the given corner dimensions.
`Shape` `createShape(ContainerShape parentContainerShape, boolean active)` Creates a shape inside the given parent container shape.
`Color` `createShiftedColor(Color color, int shift, Diagram diagram)` Shifts the `Color` darker or lighter.
`IColorConstant` `createShiftedColor(IColorConstant colorConstant, int shift)` Shifts the `Color` constant darker or lighter.
`Style` `createStyle(StyleContainer styleContainer, java.lang.String id)` Creates a `Style` with the given id.
`Text` `createText(Diagram diagram, GraphicsAlgorithmContainer gaContainer, java.lang.String value, java.lang.String fontName, int fontSize)` Creates a `Text` graphics algorithm with the given text and font.
`Text` `createText(Diagram diagram, GraphicsAlgorithmContainer gaContainer, java.lang.String value, java.lang.String fontName, int fontSize, boolean isFontItalic, boolean isFontBold)` Creates a `Text` graphics algorithm with the given text and font.
`Text` `createText(GraphicsAlgorithmContainer gaContainer)` Creates a `Text` graphics algorithm with empty text.
`Text` `createText(GraphicsAlgorithmContainer gaContainer, java.lang.String value)` Creates a `Text` graphics algorithm with the given text.
`TextStyle` `createTextStyle(TextStyleRegion region)` Creates a `TextStyle`.
`TextStyle` `createTextStyle(TextStyleRegion region, boolean underline, boolean strikeout, UnderlineStyle underlineStyle)` Creates a `TextStyle` with the given values.
`TextStyleRegion` `createTextStyleRegion(AbstractText abstractText)` Creates a `TextStyleRegion`.
`TextStyleRegion` `createTextStyleRegion(AbstractText abstractText, int start, int end)` Creates a `TextStyleRegion` with the given bounds.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CreateServiceImpl

    public CreateServiceImpl()

### Method Detail

#### createDefaultMultiText

    public MultiText createDefaultMultiText(Diagram diagram,
                                            GraphicsAlgorithmContainer gaContainer,
                                            java.lang.String value)

Description copied from interface: `IGaCreateService`
Creates a `MultiText` graphics algorithm with the default font (Arial, size 8) and the given text. Use this method only if you want to use the default text, otherwise use `IGaCreateService.createMultiText(GraphicsAlgorithmContainer, String)`

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: false
transparency: 0.0
width: 0
height: 0
x: 0
y: 0
horizontalAlignment: ALIGNMENT_LEFT
verticalAlignment: ALIGNMENT_CENTER
angle: 0
value: value
name: Arial
size: 8
italic: false
bold: false

Specified by:
  `createDefaultMultiText` in interface `IGaCreateService`
Parameters:
  `diagram` - the diagram to manage the font
  `gaContainer` - the container for the new graphics algorithm
  `value` - initial text
Returns:
  the new multiline text

#### createDefaultMultiText

    public MultiText createDefaultMultiText(Diagram diagram,
                                            GraphicsAlgorithmContainer gaContainer)

Description copied from interface: `IGaCreateService`
Creates a `MultiText` graphics algorithm with the default font (Arial, size 8). Use this method only if you want to use the default text, otherwise use `IGaCreateService.createMultiText(GraphicsAlgorithmContainer)`

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: false
transparency: 0.0
width: 0
height: 0
x: 0
y: 0
horizontalAlignment: ALIGNMENT_LEFT
verticalAlignment: ALIGNMENT_CENTER
angle: 0
value:""
name: Arial
size: 8
italic: false
bold: false

Specified by:
  `createDefaultMultiText` in interface `IGaCreateService`
Parameters:
  `diagram` - the diagram to manage the font
  `gaContainer` - the container for the new graphics algorithm
Returns:
  the new multiline text

#### createDefaultText

    public Text createDefaultText(Diagram diagram,
                                  GraphicsAlgorithmContainer gaContainer,
                                  java.lang.String value)

Description copied from interface: `IGaCreateService`
Creates a `Text` graphics algorithm with the default font (Arial, size 8) and the given text. Use this method only if you want to use the default text, otherwise use `IGaCreateService.createText(GraphicsAlgorithmContainer, String)`

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: false
transparency: 0.0
width: 0
height: 0
x: 0
y: 0
horizontalAlignment: ALIGNMENT_LEFT
verticalAlignment: ALIGNMENT_CENTER
angle: 0
value: value
name: Arial
size: 8
italic: false
bold: false

Specified by:
  `createDefaultText` in interface `IGaCreateService`
Parameters:
  `diagram` - the diagram to manage the font
  `gaContainer` - the container for the new graphics algorithm
  `value` - initial text
Returns:
  the new text

#### createDefaultText

    public Text createDefaultText(Diagram diagram,
                                  GraphicsAlgorithmContainer gaContainer)

Description copied from interface: `IGaCreateService`
Creates a `Text` graphics algorithm with the default font (Arial, size 8). Use this method only if you want to use the default text, otherwise use `IGaCreateService.createText(GraphicsAlgorithmContainer)`

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: false
transparency: 0.0
width: 0
height: 0
x: 0
y: 0
horizontalAlignment: ALIGNMENT_LEFT
verticalAlignment: ALIGNMENT_CENTER
angle: 0
value:""
name: Arial
size: 8
italic: false
bold: false

Specified by:
  `createDefaultText` in interface `IGaCreateService`
Parameters:
  `diagram` - the diagram to manage the font
  `gaContainer` - the container for the new graphics algorithm
Returns:
  the new text

#### createEllipse

    public Ellipse createEllipse(GraphicsAlgorithmContainer gaContainer)

Description copied from interface: `IGaCreateService`
Creates an `Ellipse` graphics algorithm.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
transparency: 0.0
width: 0
height: 0
x: 0
y: 0

Specified by:
  `createEllipse` in interface `IGaCreateService`
Parameters:
  `gaContainer` - the container for the new graphics algorithm
Returns:
  the new ellipse

#### createPlainEllipse

    public Ellipse createPlainEllipse(GraphicsAlgorithmContainer gaContainer)

Description copied from interface: `IGaCreateService`
Creates a plain `Ellipse` graphics algorithm. Default values have been reset, so you can use your styles, see `AbstractStyle`.

Specified by:
  `createPlainEllipse` in interface `IGaCreateService`
Parameters:
  `gaContainer` - the container for the new graphics algorithm
Returns:
  the new ellipse
See Also:
  `Style`, `IGaCreateService.createStyle(StyleContainer, String)`

#### createImage

    public Image createImage(GraphicsAlgorithmContainer gaContainer,
                             java.lang.String imageId)

Description copied from interface: `IGaCreateService`
Creates a `Image` graphics algorithm with the given image id.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: true
transparency: 0.0
width: 0
height: 0
x: 0
y: 0
id: TEST
stretchH: false
stretchV: false
proportional: false

Specified by:
  `createImage` in interface `IGaCreateService`
Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `imageId` - the image id
Returns:
  the new image

#### createPlainImage

    public Image createPlainImage(GraphicsAlgorithmContainer gaContainer,
                                  java.lang.String imageId)

Description copied from interface: `IGaCreateService`
Creates a plain `Image` graphics algorithm with the given image id. Default values have been reset, so you can use your styles, see `AbstractStyle`.

Specified by:
  `createPlainImage` in interface `IGaCreateService`
Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `imageId` - the image id
Returns:
  the new image
See Also:
  `Style`, `IGaCreateService.createStyle(StyleContainer, String)`

#### createInvisibleRectangle

    public Rectangle createInvisibleRectangle(PictogramElement pe)

Description copied from interface: `IGaCreateService`
Create an invisible `Rectangle`.

The following values are set by default when it is shown:

lineWidth: 1
lineStyle: SOLID
filled: false
lineVisible: false
transparency: 0.0
width: 0
height: 0
x: 0
y: 0

Specified by:
  `createInvisibleRectangle` in interface `IGaCreateService`
Parameters:
  `pe` - the pictogram element to create the rectangle
Returns:
  the rectangle

#### createMultiText

    public MultiText createMultiText(GraphicsAlgorithmContainer gaContainer,
                                     java.lang.String value)

Description copied from interface: `IGaCreateService`
Creates a `MultiText` graphics algorithm with the given text.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: false
transparency: 0.0
width: 0
height: 0
x: 0
y: 0
horizontalAlignment: ALIGNMENT_LEFT
verticalAlignment: ALIGNMENT_CENTER
angle: 0
value: value

Specified by:
  `createMultiText` in interface `IGaCreateService`
Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `value` - initial text
Returns:
  the new multiline text

#### createPlainMultiText

    public MultiText createPlainMultiText(GraphicsAlgorithmContainer gaContainer,
                                          java.lang.String value)

Description copied from interface: `IGaCreateService`
Creates a plain `MultiText` graphics algorithm with the given text. Default values have been reset, so you can use your styles, see `AbstractStyle`.

Specified by:
  `createPlainMultiText` in interface `IGaCreateService`
Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `value` - initial text
Returns:
  the new multiline text
See Also:
  `Style`, `IGaCreateService.createStyle(StyleContainer, String)`

#### createMultiText

    public MultiText createMultiText(GraphicsAlgorithmContainer gaContainer)

Description copied from interface: `IGaCreateService`
Creates a `MultiText` graphics algorithm.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: false
transparency: 0.0
width: 0
height: 0
x: 0
y: 0
horizontalAlignment: ALIGNMENT_LEFT
verticalAlignment: ALIGNMENT_CENTER
angle: 0
value: ""

Specified by:
  `createMultiText` in interface `IGaCreateService`
Parameters:
  `gaContainer` - the container for the new graphics algorithm
Returns:
  the new multiline text

#### createPlainMultiText

    public MultiText createPlainMultiText(GraphicsAlgorithmContainer gaContainer)

Description copied from interface: `IGaCreateService`
Creates a plain `MultiText` graphics algorithm. Default values have been reset, so you can use your styles, see `AbstractStyle`.

Specified by:
  `createPlainMultiText` in interface `IGaCreateService`
Parameters:
  `gaContainer` - the container for the new graphics algorithm
Returns:
  the new multiline text
See Also:
  `Style`, `IGaCreateService.createStyle(StyleContainer, String)`

#### createMultiText

    public MultiText createMultiText(Diagram diagram,
                                     GraphicsAlgorithmContainer gaContainer,
                                     java.lang.String value,
                                     java.lang.String fontName,
                                     int fontSize)

Description copied from interface: `IGaCreateService`
Creates a `MultiText` graphics algorithm with the given text and font. The font will be displayed in straight (no italics or bold) and will be managed within the given diagram; in case the font already exists it will be reused, otherwise the corresponding font instance will be created.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: false
transparency: 0.0
width: 0
height: 0
x: 0
y: 0
horizontalAlignment: ALIGNMENT_LEFT
verticalAlignment: ALIGNMENT_CENTER
angle: 0
value: value
name: fontNamel
size: fontSize
italic: false
bold: false

Specified by:
  `createMultiText` in interface `IGaCreateService`
Parameters:
  `diagram` - the diagram that shall be used for managing the font for the new text field
  `gaContainer` - the container for the new graphics algorithm
  `value` - initial text
  `fontName` - the name of the font to use for the new text field
  `fontSize` - the size of the font to use for the new text field
Returns:
  the new multiline text

#### createMultiText

    public MultiText createMultiText(Diagram diagram,
                                     GraphicsAlgorithmContainer gaContainer,
                                     java.lang.String value,
                                     java.lang.String fontName,
                                     int fontSize,
                                     boolean isFontItalic,
                                     boolean isFontBold)

Description copied from interface: `IGaCreateService`
Creates a `MultiText` graphics algorithm with the given text and font. The font will be managed within the given diagram; in case the font already exists it will be reused, otherwise the corresponding font instance will be created.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: false
transparency: 0.0
width: 0
height: 0
x: 0
y: 0
horizontalAlignment: ALIGNMENT_LEFT
verticalAlignment: ALIGNMENT_CENTER
angle: 0
value: value
name: fontNamel
size: fontSize
italic: isFontItalic
bold: isFontBold

Specified by:
  `createMultiText` in interface `IGaCreateService`
Parameters:
  `diagram` - the diagram that shall be used for managing the font for the new text field
  `gaContainer` - the container for the new graphics algorithm
  `value` - initial text
  `fontName` - the name of the font to use for the new text field
  `fontSize` - the size of the font to use for the new text field
  `isFontItalic` - flag if the font to use for the new text field should be italic or not
  `isFontBold` - flag if the font to use for the new text field should be bold or not
Returns:
  the new multiline text

#### createPlatformGraphicsAlgorithm

    public PlatformGraphicsAlgorithm createPlatformGraphicsAlgorithm(GraphicsAlgorithmContainer gaContainer,
                                                                     java.lang.String id)

Description copied from interface: `IGaCreateService`
Creates the `PlatformGraphicsAlgorithm`.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
transparency: 0.0
width: 0
height: 0
x: 0
y: 0
id: id

Specified by:
  `createPlatformGraphicsAlgorithm` in interface `IGaCreateService`
Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `id` - the id
Returns:
  the platform graphics algorithm

#### createPlainPlatformGraphicsAlgorithm

    public PlatformGraphicsAlgorithm createPlainPlatformGraphicsAlgorithm(GraphicsAlgorithmContainer gaContainer,
                                                                          java.lang.String id)

Description copied from interface: `IGaCreateService`
Creates the plain `PlatformGraphicsAlgorithm`. Default values have been reset, so you can use your styles, see `AbstractStyle`.

Specified by:
  `createPlainPlatformGraphicsAlgorithm` in interface `IGaCreateService`
Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `id` - the id
Returns:
  the platform graphics algorithm
See Also:
  `Style`, `IGaCreateService.createStyle(StyleContainer, String)`

#### createPoint

    public Point createPoint(int x,
                             int y,
                             int before,
                             int after)

Description copied from interface: `IGaCreateService`
Creates a `Point` datatype for the given x/y coordinates. The additional before/after parameters defined at which distance before/after the point a rounded curve will start/end. Note, that before/after parameters have only an effect, if the graphics algorithm support them, e.g. polygon and polyline.

Specified by:
  `createPoint` in interface `IGaCreateService`
Parameters:
  `x` - the x coordinate
  `y` - the y coordinate
  `before` - the distance before, if supported
  `after` - the distance after, if supported
Returns:
  the new point

#### createPoint

    public Point createPoint(int x,
                             int y)

Description copied from interface: `IGaCreateService`
Creates a `Point` datatype for the given x/y coordinates.

Specified by:
  `createPoint` in interface `IGaCreateService`
Parameters:
  `x` - the x coordinate
  `y` - the y coordinate
Returns:
  the new point

#### createPointList

    public java.util.List<Point> createPointList(int[] xy,
                                                 int[] beforeAfter)

Description copied from interface: `IGaCreateService`
Creates a list of `Point` datatypes for the given x/y coordinates. Note, that before/after parameters have only an effect, if the graphics algorithm support them, e.g. polygon and polyline.

Specified by:
  `createPointList` in interface `IGaCreateService`
Parameters:
  `xy` - The x/y coordinates: [x0, y0, ..., xN, yN]
  `beforeAfter` - The before/after parameters: [before0, after0, ..., beforeN, afterN]
Returns:
  the point list

#### createPointList

    public java.util.List<Point> createPointList(int[] xy)

Description copied from interface: `IGaCreateService`
Creates a list of `Point` datatypes for the given x/y coordinates.

Specified by:
  `createPointList` in interface `IGaCreateService`
Parameters:
  `xy` - The x/y coordinates: [x0, y0, ...,xN, yN]
Returns:
  the point list

#### createPolygon

    public Polygon createPolygon(GraphicsAlgorithmContainer gaContainer,
                                 java.util.Collection<Point> points)

Description copied from interface: `IGaCreateService`
Creates a `Polygon` graphics algorithm with the given points.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: true
transparency: 0.0
width: 0
height: 0
x: 0
y: 0

Specified by:
  `createPolygon` in interface `IGaCreateService`
Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `points` - collection of point
Returns:
  the new polygon

#### createPlainPolygon

    public Polygon createPlainPolygon(GraphicsAlgorithmContainer gaContainer,
                                      java.util.Collection<Point> points)

Description copied from interface: `IGaCreateService`
Creates a plain `Polygon` graphics algorithm with the given points. Default values have been reset, so you can use your styles, see `AbstractStyle`.

Specified by:
  `createPlainPolygon` in interface `IGaCreateService`
Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `points` - collection of point
Returns:
  the new polygon
See Also:
  `Style`, `IGaCreateService.createStyle(StyleContainer, String)`

#### createPolygon

    public Polygon createPolygon(GraphicsAlgorithmContainer gaContainer,
                                 int[] xy,
                                 int[] beforeAfter)

Description copied from interface: `IGaCreateService`
Creates a `Polygon` graphics algorithm with the given points.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: true
transparency: 0.0
width: 0
height: 0
x: 0
y: 0

Specified by:
  `createPolygon` in interface `IGaCreateService`
Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `xy` - The x/y coordinates: [x0, y0, ..., xN, yN]
  `beforeAfter` - The before/after parameters: [before0, after0, ..., beforeN, afterN]
Returns:
  the new polygon

#### createPlainPolygon

    public Polygon createPlainPolygon(GraphicsAlgorithmContainer gaContainer,
                                      int[] xy,
                                      int[] beforeAfter)

Description copied from interface: `IGaCreateService`
Creates a plain `Polygon` graphics algorithm with the given points. Default values have been reset, so you can use your styles, see `AbstractStyle`.

Specified by:
  `createPlainPolygon` in interface `IGaCreateService`
Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `xy` - The x/y coordinates: [x0, y0, ..., xN, yN]
  `beforeAfter` - The before/after parameters: [before0, after0, ..., beforeN, afterN]
Returns:
  the new polygon
See Also:
  `Style`, `IGaCreateService.createStyle(StyleContainer, String)`

#### createPolygon

    public Polygon createPolygon(GraphicsAlgorithmContainer gaContainer,
                                 int[] xy)

Description copied from interface: `IGaCreateService`
Creates a `Polygon` graphics algorithm with the given points.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: true
transparency: 0.0
width: 0
height: 0
x: 0
y: 0

Specified by:
  `createPolygon` in interface `IGaCreateService`
Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `xy` - The x/y coordinates: [x0, y0, ..., xN, yN]
Returns:
  the new polygon

#### createPlainPolygon

    public Polygon createPlainPolygon(GraphicsAlgorithmContainer gaContainer,
                                      int[] xy)

Description copied from interface: `IGaCreateService`
Creates a plain `Polygon` graphics algorithm with the given points. Default values have been reset, so you can use your styles, see `AbstractStyle`.

Specified by:
  `createPlainPolygon` in interface `IGaCreateService`
Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `xy` - The x/y coordinates: [x0, y0, ..., xN, yN]
Returns:
  the new polygon
See Also:
  `Style`, `IGaCreateService.createStyle(StyleContainer, String)`

#### createPolygon

    public Polygon createPolygon(GraphicsAlgorithmContainer gaContainer)

Description copied from interface: `IGaCreateService`
Creates a `Polygon` graphics algorithm.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: true
transparency: 0.0
width: 0
height: 0
x: 0
y: 0

Specified by:
  `createPolygon` in interface `IGaCreateService`
Parameters:
  `gaContainer` - the container for the new graphics algorithm
Returns:
  the new polygon

#### createPlainPolygon

    public Polygon createPlainPolygon(GraphicsAlgorithmContainer gaContainer)

Description copied from interface: `IGaCreateService`
Creates a plain `Polygon` graphics algorithm. Default values have been reset, so you can use your styles, see `AbstractStyle`.

Specified by:
  `createPlainPolygon` in interface `IGaCreateService`
Parameters:
  `gaContainer` - the container for the new graphics algorithm
Returns:
  the new polygon
See Also:
  `Style`, `IGaCreateService.createStyle(StyleContainer, String)`

#### createPolyline

    public Polyline createPolyline(GraphicsAlgorithmContainer gaContainer,
                                   java.util.Collection<Point> points)

Description copied from interface: `IGaCreateService`
Creates a `Polyline` graphics algorithm with the given points.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: false
transparency: 0.0
width: 0
height: 0
x: 0
y: 0

Specified by:
  `createPolyline` in interface `IGaCreateService`
Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `points` - collection of point
Returns:
  the new polyline

#### createPlainPolyline

    public Polyline createPlainPolyline(GraphicsAlgorithmContainer gaContainer,
                                        java.util.Collection<Point> points)

Description copied from interface: `IGaCreateService`
Creates a plain `Polyline` graphics algorithm with the given points. Default values have been reset, so you can use your styles, see `AbstractStyle`.

Specified by:
  `createPlainPolyline` in interface `IGaCreateService`
Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `points` - collection of point
Returns:
  the new polyline
See Also:
  `Style`, `IGaCreateService.createStyle(StyleContainer, String)`

#### createPolyline

    public Polyline createPolyline(GraphicsAlgorithmContainer gaContainer,
                                   int[] xy,
                                   int[] beforeAfter)

Description copied from interface: `IGaCreateService`
Creates a `Polyline` graphics algorithm with the given points.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: false
transparency: 0.0
width: 0
height: 0
x: 0
y: 0

Specified by:
  `createPolyline` in interface `IGaCreateService`
Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `xy` - The x/y coordinates: [x0, y0, ..., xN, yN]
  `beforeAfter` - The before/after parameters: [before0, after0, ..., beforeN, afterN]
Returns:
  the new polyline

#### createPlainPolyline

    public Polyline createPlainPolyline(GraphicsAlgorithmContainer gaContainer,
                                        int[] xy,
                                        int[] beforeAfter)

Description copied from interface: `IGaCreateService`
Creates a plain `Polyline` graphics algorithm with the given points. Default values have been reset, so you can use your styles, see `AbstractStyle`.

Specified by:
  `createPlainPolyline` in interface `IGaCreateService`
Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `xy` - The x/y coordinates: [x0, y0, ..., xN, yN]
  `beforeAfter` - The before/after parameters: [before0, after0, ..., beforeN, afterN]
Returns:
  the new polyline
See Also:
  `Style`, `IGaCreateService.createStyle(StyleContainer, String)`

#### createPolyline

    public Polyline createPolyline(GraphicsAlgorithmContainer gaContainer,
                                   int[] xy)

Description copied from interface: `IGaCreateService`
Creates a `Polyline` graphics algorithm with the given points.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: false
transparency: 0.0
width: 0
height: 0
x: 0
y: 0

Specified by:
  `createPolyline` in interface `IGaCreateService`
Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `xy` - The x/y coordinates: [x0, y0, ..., xN, yN]
Returns:
  the new polyline

#### createPlainPolyline

    public Polyline createPlainPolyline(GraphicsAlgorithmContainer gaContainer,
                                        int[] xy)

Description copied from interface: `IGaCreateService`
Creates a plain polyline graphics algorithm with the given points. Default values have been reset, so you can use your styles, see `AbstractStyle`.

Specified by:
  `createPlainPolyline` in interface `IGaCreateService`
Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `xy` - The x/y coordinates: [x0, y0, ..., xN, yN]
Returns:
  the new polyline
See Also:
  `Style`, `IGaCreateService.createStyle(StyleContainer, String)`

#### createPolyline

    public Polyline createPolyline(GraphicsAlgorithmContainer gaContainer)

Description copied from interface: `IGaCreateService`
Creates a `Polyline` graphics algorithm.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: false
transparency: 0.0
width: 0
height: 0
x: 0
y: 0

Specified by:
  `createPolyline` in interface `IGaCreateService`
Parameters:
  `gaContainer` - the container for the new graphics algorithm
Returns:
  the new polyline

#### createPlainPolyline

    public Polyline createPlainPolyline(GraphicsAlgorithmContainer gaContainer)

Description copied from interface: `IGaCreateService`
Creates a plain `Polyline` graphics algorithm. Default values have been reset, so you can use your styles, see `AbstractStyle`.

Specified by:
  `createPlainPolyline` in interface `IGaCreateService`
Parameters:
  `gaContainer` - the container for the new graphics algorithm
Returns:
  the new polyline
See Also:
  `Style`, `IGaCreateService.createStyle(StyleContainer, String)`

#### createRectangle

    public Rectangle createRectangle(GraphicsAlgorithmContainer gaContainer)

Description copied from interface: `IGaCreateService`
Creates a `Rectangle` graphics algorithm.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
transparency: 0.0
width: 0
height: 0
x: 0
y: 0

Specified by:
  `createRectangle` in interface `IGaCreateService`
Parameters:
  `gaContainer` - the container for the new graphics algorithm
Returns:
  the new rectangle

#### createPlainRectangle

    public Rectangle createPlainRectangle(GraphicsAlgorithmContainer gaContainer)

Description copied from interface: `IGaCreateService`
Creates a plain `Rectangle` graphics algorithm. Default values have been reset, so you can use your styles, see `AbstractStyle`.

Specified by:
  `createPlainRectangle` in interface `IGaCreateService`
Parameters:
  `gaContainer` - the container for the new graphics algorithm
Returns:
  the new rectangle
See Also:
  `Style`, `IGaCreateService.createStyle(StyleContainer, String)`

#### createRoundedRectangle

    public RoundedRectangle createRoundedRectangle(GraphicsAlgorithmContainer gaContainer,
                                                   int cornerWidth,
                                                   int cornerHeight)

Description copied from interface: `IGaCreateService`
Creates a `RoundedRectangle` graphics algorithm with the given corner dimensions.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
transparency: 0.0
width: 0
height: 0
x: 0
y: 0
cornerHeight: cornerHeight
cornerWidth: cornerWidth

Specified by:
  `createRoundedRectangle` in interface `IGaCreateService`
Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `cornerWidth` - the corner width
  `cornerHeight` - the corner height
Returns:
  the new rounded rectangle

#### createPlainRoundedRectangle

    public RoundedRectangle createPlainRoundedRectangle(GraphicsAlgorithmContainer gaContainer,
                                                        int cornerWidth,
                                                        int cornerHeight)

Description copied from interface: `IGaCreateService`
Creates a plain `RoundedRectangle` graphics algorithm with the given corner dimensions. Default values have been reset, so you can use your styles, see `AbstractStyle`.

Specified by:
  `createPlainRoundedRectangle` in interface `IGaCreateService`
Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `cornerWidth` - the corner width
  `cornerHeight` - the corner height
Returns:
  the new rounded rectangle
See Also:
  `Style`, `IGaCreateService.createStyle(StyleContainer, String)`

#### createShiftedColor

    public Color createShiftedColor(Color color,
                                    int shift,
                                    Diagram diagram)

Description copied from interface: `IGaCreateService`
Shifts the `Color` darker or lighter.

Specified by:
  `createShiftedColor` in interface `IGaCreateService`
Parameters:
  `color` - the color to be changed
  `shift` - negative shifts means darken the color
  `diagram` - the diagram
Returns:
  a new color datatype with the shiftet values

#### createShiftedColor

    public IColorConstant createShiftedColor(IColorConstant colorConstant,
                                             int shift)

Description copied from interface: `IGaCreateService`
Shifts the `Color` constant darker or lighter.

Specified by:
  `createShiftedColor` in interface `IGaCreateService`
Parameters:
  `colorConstant` - the color constant to be changed
  `shift` - negative shifts means darken the color
Returns:
  the color constant with the shifted values

#### createStyle

    public Style createStyle(StyleContainer styleContainer,
                             java.lang.String id)

Description copied from interface: `IGaCreateService`
Creates a `Style` with the given id. The style is aggregated under the given container style.

The following values are set by default:

lineStyle: SOLID
id: id
horizontalAlignment: ALIGNMENT_CENTER
verticalAlignment: ALIGNMENT_CENTER<br<

Specified by:
  `createStyle` in interface `IGaCreateService`
Parameters:
  `styleContainer` - container style
  `id` - style id
Returns:
  the newly created style

#### createPlainStyle

    public Style createPlainStyle(StyleContainer styleContainer,
                                  java.lang.String id)

Description copied from interface: `IGaCreateService`
Creates a `Style` with the given id. The style is aggregated under the given container style. Default values have been reset, so you can use your styles, see `AbstractStyle`.

Specified by:
  `createPlainStyle` in interface `IGaCreateService`
Parameters:
  `styleContainer` - container style
  `id` - style id
Returns:
  the newly created style
See Also:
  `Style`, `IGaCreateService.createStyle(StyleContainer, String)`

#### createText

    public Text createText(GraphicsAlgorithmContainer gaContainer,
                           java.lang.String value)

Description copied from interface: `IGaCreateService`
Creates a `Text` graphics algorithm with the given text.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: false
transparency: 0.0
width: 0
height: 0
x: 0
y: 0
horizontalAlignment: ALIGNMENT_LEFT
verticalAlignment: ALIGNMENT_CENTER
angle: 0
value: value

Specified by:
  `createText` in interface `IGaCreateService`
Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `value` - initial text
Returns:
  the new text

#### createPlainText

    public Text createPlainText(GraphicsAlgorithmContainer gaContainer,
                                java.lang.String value)

Description copied from interface: `IGaCreateService`
Creates a plain `Text` graphics algorithm with the given text. Default values have been reset, so you can use your styles, see `AbstractStyle`.

Specified by:
  `createPlainText` in interface `IGaCreateService`
Parameters:
  `gaContainer` - the container for the new graphics algorithm
  `value` - initial text
Returns:
  the new text
See Also:
  `Style`, `IGaCreateService.createStyle(StyleContainer, String)`

#### createText

    public Text createText(GraphicsAlgorithmContainer gaContainer)

Description copied from interface: `IGaCreateService`
Creates a `Text` graphics algorithm with empty text.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: false
transparency: 0.0
width: 0
height: 0
x: 0
y: 0
horizontalAlignment: ALIGNMENT_LEFT
verticalAlignment: ALIGNMENT_CENTER
angle: 0
value: ""

Specified by:
  `createText` in interface `IGaCreateService`
Parameters:
  `gaContainer` - the container for the new graphics algorithm
Returns:
  the new text

#### createPlainText

    public Text createPlainText(GraphicsAlgorithmContainer gaContainer)

Description copied from interface: `IGaCreateService`
Creates a plain `Text` graphics algorithm with empty text. Default values have been reset, so you can use your styles, see `AbstractStyle`.

Specified by:
  `createPlainText` in interface `IGaCreateService`
Parameters:
  `gaContainer` - the container for the new graphics algorithm
Returns:
  the new text
See Also:
  `Style`, `IGaCreateService.createStyle(StyleContainer, String)`

#### createText

    public Text createText(Diagram diagram,
                           GraphicsAlgorithmContainer gaContainer,
                           java.lang.String value,
                           java.lang.String fontName,
                           int fontSize)

Description copied from interface: `IGaCreateService`
Creates a `Text` graphics algorithm with the given text and font. The font will be displayed in straight (no italics or bold) and will be managed within the given diagram; in case the font already exists it will be reused, otherwise the corresponding font instance will be created.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: false
transparency: 0.0
width: 0
height: 0
x: 0
y: 0
horizontalAlignment: ALIGNMENT_LEFT
verticalAlignment: ALIGNMENT_CENTER
angle: 0
value: value
name: fontNamel
size: fontSize
italic: false
bold: false

Specified by:
  `createText` in interface `IGaCreateService`
Parameters:
  `diagram` - the diagram that shall be used for managing the font for the new text field
  `gaContainer` - the container for the new graphics algorithm
  `value` - initial text
  `fontName` - the name of the font to use for the new text field
  `fontSize` - the size of the font to use for the new text field
Returns:
  the new text

#### createText

    public Text createText(Diagram diagram,
                           GraphicsAlgorithmContainer gaContainer,
                           java.lang.String value,
                           java.lang.String fontName,
                           int fontSize,
                           boolean isFontItalic,
                           boolean isFontBold)

Description copied from interface: `IGaCreateService`
Creates a `Text` graphics algorithm with the given text and font. The font will be managed within the given diagram; in case the font already exists it will be reused, otherwise the corresponding font instance will be created.

The following values are set by default:

lineWidth: 1
lineStyle: SOLID
filled: false
transparency: 0.0
width: 0
height: 0
x: 0
y: 0
horizontalAlignment: ALIGNMENT_LEFT
verticalAlignment: ALIGNMENT_CENTER
angle: 0
value: value
name: fontNamel
size: fontSize
italic: isFontItalic
bold: isFontBold

Specified by:
  `createText` in interface `IGaCreateService`
Parameters:
  `diagram` - the diagram that shall be used for managing the font for the new text field
  `gaContainer` - the container for the new graphics algorithm
  `value` - initial text
  `fontName` - the name of the font to use for the new text field
  `fontSize` - the size of the font to use for the new text field
  `isFontItalic` - flag if the font to use for the new text field should be italic or not
  `isFontBold` - flag if the font to use for the new text field should be bold or not
Returns:
  the new text

#### createBoxRelativeAnchor

    public BoxRelativeAnchor createBoxRelativeAnchor(AnchorContainer anchorContainer)

Description copied from interface: `IPeCreateService`
Creates a box relative anchor inside the given anchor container.

Specified by:
  `createBoxRelativeAnchor` in interface `IPeCreateService`
Parameters:
  `anchorContainer` - the anchors parent
Returns:
  the new box relative anchor

#### createChopboxAnchor

    public ChopboxAnchor createChopboxAnchor(AnchorContainer anchorContainer)

Description copied from interface: `IPeCreateService`
Creates a chop box anchor inside the given anchor container.

Specified by:
  `createChopboxAnchor` in interface `IPeCreateService`
Parameters:
  `anchorContainer` - the anchors parent
Returns:
  the new chop box anchor

#### createConnectionDecorator

    public ConnectionDecorator createConnectionDecorator(Connection connection,
                                                         boolean active,
                                                         double location,
                                                         boolean isRelative)

Description copied from interface: `IPeCreateService`
Creates a connection decorator and adds it to the given connection.

Specified by:
  `createConnectionDecorator` in interface `IPeCreateService`
Parameters:
  `connection` - the connection
  `active` - TRUE, if decorator is active, FALSE otherwise
  `location` - location of the decorator (must be between 0 and 1)
  `isRelative` - true if the decorator should be positioned relative to the connection's midpoint
Returns:
  the new connection decorator

#### createContainerShape

    public ContainerShape createContainerShape(ContainerShape parentContainerShape,
                                               boolean active)

Description copied from interface: `IPeCreateService`
Creates a container shape inside the given parent container shape.

Specified by:
  `createContainerShape` in interface `IPeCreateService`
Parameters:
  `parentContainerShape` - the parent container shape
  `active` - `true`, if the created shape should be active, `false` otherwise. An active shape can be selected in the diagram editor and it is also relevant for layouting: an active shape opens a coordinate system relative to its next active parent which can be used for layouting its `PictogramElement` children, while an inactive one uses the coordinate system of its next direct parent for layouting its children.

  By default all shapes should be active, inactive shapes should be used for grouping purposes or for linking a group of graphical objects to the domain world only.

  For those familiar with GEF: only for active shapes a GEF EditPart will be created by the Graphiti framework, not for inactive ones.

Returns:
  the new container shape

#### createDiagram

    public Diagram createDiagram(java.lang.String diagramTypeId,
                                 java.lang.String diagramName)

Description copied from interface: `IPeCreateService`
Creates a diagram. Snapping to the grid is disabled by default.

Specified by:
  `createDiagram` in interface `IPeCreateService`
Parameters:
  `diagramTypeId` - the type id of the diagram
  `diagramName` - the name of the diagram
Returns:
  the new diagram
See Also:
  `IPeCreateService.createDiagram(String diagramTypeId, String diagramName, boolean snap)`

#### createDiagram

    public Diagram createDiagram(java.lang.String diagramTypeId,
                                 java.lang.String diagramName,
                                 boolean snap)

Description copied from interface: `IPeCreateService`
Creates a diagram.

Specified by:
  `createDiagram` in interface `IPeCreateService`
Parameters:
  `diagramTypeId` - the type id of the diagram
  `diagramName` - the name of the diagram
  `snap` - TRUE enables snap to grid
Returns:
  the new diagram
See Also:
  `IPeCreateService.createDiagram(String diagramTypeId, String diagramName, int gridUnit, boolean snap)`

#### createDiagram

    public Diagram createDiagram(java.lang.String diagramTypeId,
                                 java.lang.String diagramName,
                                 int gridUnit,
                                 boolean snap)

Description copied from interface: `IPeCreateService`
Creates a diagram.

Specified by:
  `createDiagram` in interface `IPeCreateService`
Parameters:
  `diagramTypeId` - the type id of the diagram
  `diagramName` - the name of the diagram
  `gridUnit` - grid size (in both directions) in pixel; if 0 then no grid will be drawn
  `snap` - TRUE enables snap to grid
Returns:
  the new diagram

#### createDiagram

    public Diagram createDiagram(java.lang.String diagramTypeId,
                                 java.lang.String diagramName,
                                 int horizontalGridUnit,
                                 int verticalGridUint,
                                 boolean snap)

Description copied from interface: `IPeCreateService`
Creates a diagram.

Specified by:
  `createDiagram` in interface `IPeCreateService`
Parameters:
  `diagramTypeId` - the type id of the diagram
  `diagramName` - the name of the diagram
  `horizontalGridUnit` - horizontal grid size in pixel; if 0 then no grid will be drawn
  `verticalGridUint` - vertical grid size in pixel; if 0 then no grid will be drawn
  `snap` - TRUE enables snap to grid
Returns:
  the new diagram

#### createFixPointAnchor

    public FixPointAnchor createFixPointAnchor(AnchorContainer anchorContainer)

Description copied from interface: `IPeCreateService`
Creates a fix point anchor inside the given anchor container.

Specified by:
  `createFixPointAnchor` in interface `IPeCreateService`
Parameters:
  `anchorContainer` - the anchors parent
Returns:
  the new fix point anchor

#### createFreeFormConnection

    public FreeFormConnection createFreeFormConnection(Diagram diagram)

Description copied from interface: `IPeCreateService`
Creates a free form connection inside the given diagram.

Specified by:
  `createFreeFormConnection` in interface `IPeCreateService`
Parameters:
  `diagram` - the diagram
Returns:
  the new free form connection

#### createManhattanConnection

    public ManhattanConnection createManhattanConnection(Diagram diagram)

Description copied from interface: `IPeCreateService`
Creates a manhattan connection inside the given diagram.

Specified by:
  `createManhattanConnection` in interface `IPeCreateService`
Parameters:
  `diagram` - the diagram
Returns:
  the new free form connection

#### createCurvedConnection

    public CurvedConnection createCurvedConnection(double[] controllPoints,
                                                   Diagram diagram)

Description copied from interface: `IPeCreateService`
Creates a curved connection (Bezier curve) inside the given diagram.

Specified by:
  `createCurvedConnection` in interface `IPeCreateService`
Parameters:
  `controllPoints` - an array of double value pairs defining the control points (two values - x and y - define the point) of the Bezier curve
  `diagram` - the diagram
Returns:
  the new curved connection

#### createCompositeConnection

    public CompositeConnection createCompositeConnection(Diagram diagram)

Description copied from interface: `IPeCreateService`
Creates a composite connection (a connection that is made of several other connections) inside the given diagram. `CompositeConnection`s can be used to combine any number of `CurvedConnection`s into one semantical connection using its `CompositeConnection.getChildren()` relation. Note that the composite connection itself needs to have an associated `GraphicsAlgorithm` (usually a `Polyline`) for its visualization, although it might be invisible and only the child connections have a visible polyline as their visualization.
Note that this is an experimental API and might change without further notice.

Specified by:
  `createCompositeConnection` in interface `IPeCreateService`
Parameters:
  `diagram` - the diagram
Returns:
  the new composite connection

#### createShape

    public Shape createShape(ContainerShape parentContainerShape,
                             boolean active)

Description copied from interface: `IPeCreateService`
Creates a shape inside the given parent container shape.

Specified by:
  `createShape` in interface `IPeCreateService`
Parameters:
  `parentContainerShape` - the parent container shape
  `active` - `true`, if the created shape should be active, `false` otherwise. An active shape can be selected in the diagram editor and it is also relevant for layouting: an active shape opens a coordinate system which can be used for layouting its `PictogramElement` children, while an inactive one does not provide one but uses the coordinate system of its next active parent for layouting its children.

  By default all shapes should be active, inactive shapes should be used for grouping purposes or for linking a group of graphical objects to the domain world only.

  For those familiar with GEF: only for active shapes a GEF EditPart will be created by the Graphiti framework, not for inactive ones.

Returns:
  the new shape

#### createTextStyleRegion

    public TextStyleRegion createTextStyleRegion(AbstractText abstractText)

Description copied from interface: `IGaCreateService`
Creates a `TextStyleRegion`. The style is aggregated under the given abstract text.

Specified by:
  `createTextStyleRegion` in interface `IGaCreateService`
Parameters:
  `abstractText` - container text
Returns:
  the newly created text style region
See Also:
  `TextStyleRegion`, `IGaCreateService.createTextStyleRegion(AbstractText, int, int)`

#### createTextStyleRegion

    public TextStyleRegion createTextStyleRegion(AbstractText abstractText,
                                                 int start,
                                                 int end)

Description copied from interface: `IGaCreateService`
Creates a `TextStyleRegion` with the given bounds. The style is aggregated under the given abstract text.

Specified by:
  `createTextStyleRegion` in interface `IGaCreateService`
Parameters:
  `abstractText` - container text
  `start` - region start
  `end` - retion end
Returns:
  the newly created text style region
See Also:
  `TextStyleRegion`

#### createTextStyle

    public TextStyle createTextStyle(TextStyleRegion region)

Description copied from interface: `IGaCreateService`
Creates a `TextStyle`. The style is aggregated under the given text style region.

Specified by:
  `createTextStyle` in interface `IGaCreateService`
Parameters:
  `region` - container region
Returns:
  the newly created text style
See Also:
  `TextStyle`, `IGaCreateService.createTextStyle(TextStyleRegion, boolean, boolean, UnderlineStyle)`

#### createTextStyle

    public TextStyle createTextStyle(TextStyleRegion region,
                                     boolean underline,
                                     boolean strikeout,
                                     UnderlineStyle underlineStyle)

Description copied from interface: `IGaCreateService`
Creates a `TextStyle` with the given values. The style is aggregated under the given text style region.

Specified by:
  `createTextStyle` in interface `IGaCreateService`
Parameters:
  `region` - container region
  `underline` - the is underlined
  `strikeout` - the is stroke out
  `underlineStyle` - the underline style
Returns:
  the newly created text style
See Also:
  `TextStyle`, `IGaCreateService.createStyle(StyleContainer, String)`